<?php
error_reporting(E_ALL);
ini_set('error_log', 'error_log');
date_default_timezone_set('Asia/Tehran');

// Edit This To Your Own Information !
const Config = [
    'server'            => '167.235.255.109',
    'Composer_address'  => '/home/nanat/mip/vendor/autoload.php',
    'db'                => [
        'user'          => 'botselho_creator',//کاربری
        'pass'          => 'creatororan',//پسورد
        'name'          => 'botselho_uranCreator'//اسم دیتابیس
    ]
];

// Libs
require_once __DIR__ . '/../table.php';
require_once __DIR__ . '/../Medoo.php';
require_once __DIR__ . '/PdocO2r8Wn/File.php';
require_once __DIR__ . '/AldLwwmdoAe83dAebX.php';
require_once __DIR__ . '/botsql.php';
require_once __DIR__ . '/WpfAdm29r8JqjrnAebV.php';


//config Telegram Class.
$Bot = new TelegramBot(['license' => Config['license'], 'server' => Config['server']], Config['Token']);
$db  = new Medoo([
    'database_type' => 'mysql',
    'server'        => 'localhost',
    'charset'       => 'utf8mb4',
    'collation'     => 'utf8mb4_general_ci',
    'database_name' => Config['db']['name'],
    'username'      => Config['db']['user'],
    'password'      => Config['db']['pass']
]);

// Handle Inputs
$update = $Bot->getUpdates(Config['license'], Config['server']);
$text   = $chatType = $chatTitle = $userName = $firstName = $callbackId = $data = false;
if (isset($update['message']) || isset($update['edited_message'])) {
    $message   = $update['message'] ?? $update['edited_message'];
    $chatId    = $message['chat']['id'];
    $fromId    = $message['from']['id'];
    $messageId = $message['message_id'];
    $text      = $message['text'] ?? '';
    $chatType  = $message['chat']['type'] ?? NULL;
    $userName  = $message['from']['username'] ?? NULL;
    $firstName = $message['from']['first_name'] ?? $message['from']['last_name'];
}

elseif(isset($update['callback_query'])) {
    if($message = $update['callback_query']['message']){
        $ctext     = $message['text'] ?? NULL;
        $chatId    = $message['chat']['id'] ?? NULL;
        $messageId = $message['message_id'] ?? NULL;
    }
    $fromId    = $update['callback_query']['from']['id'];
    $callId    = $update['callback_query']['id'] ?? NULL;
    $data      = $update['callback_query']['data'] ?? NULL;
    $userName  = $update['callback_query']['from']['username']   ?? NULL;
    $lastName  = $update['callback_query']['from']['last_name']  ?? NULL;
    $inlineId  = $update['callback_query']['inline_message_id']  ?? NULL;
    $firstName = $update['callback_query']['from']['first_name'] ?? NULL;
}

elseif(isset($update['chat_member'])){
    $message   = $update['chat_member'];
    $chatId    = $message['chat']['id'];
    $fromId    = $message['from']['id'];
    $chatType  = $message['chat']['type'] ?? NULL;
    $title     = $message['chat']['title'] ?? NULL;
    $userName  = $message['from']['username'] ?? 'Empty';
    $isNew     = $message['new_chat_member'] ?? null;
    $isLeft    = !empty($isNew) && $isNew['status'] == 'left' && $fromId == $isNew['user']['id'];
    $firstName = $message['from']['first_name'] ?? $message['from']['last_name'];
}

if(isset($update['message']['reply_to_message']) || isset($update['edited_message']['reply_to_message'])) {
    $rt           = $update['message']['reply_to_message'] ?? $update['edited_message']['reply_to_message'];
    $rtMessageId  = $rt['message_id'];
    $rtText       = $rt['text'] ?? NULL;
    $rtChatId     = $rt['chat']['id'];
    $rtFromId     = $rt['from']['id'];
    $rtFirstName  = $rt['from']['first_name'];
}
if(isset($update['message']['forward_from_chat'])) {
    $forward_from_chat  = $update['message']['forward_from_chat'] ?? NULL;
    $messageIdforward   = $forward_from_chat['id'] ?? NULL;
    $Title              = $forward_from_chat['title'] ?? NULL;
    $userNameforward    = $forward_from_chat['username'] ?? NULL;
    $typeforward        = $forward_from_chat['type'] ?? NULL;
    $forward_from_message_id = $update['message']['forward_from_message_id'] ?? NULL;
}
//Select section
define('br', PHP_EOL);
